"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWebhookDelayBody = exports.getWebhookBody = exports.filterRequest = void 0;
function filterRequest(method, endpointUrl, request) {
    return request.request.method === method && request.request.url === endpointUrl;
}
exports.filterRequest = filterRequest;
function getWebhookBody(body) {
    switch (body.type) {
        case 'JSON':
            return JSON.stringify(body.data);
        case 'String':
            return body.data;
    }
}
exports.getWebhookBody = getWebhookBody;
function getWebhookDelayBody(delay) {
    switch (delay.type) {
        case "FIXED":
            return { type: 'fixed', milliseconds: delay.constantDelay };
        case "LOG_NORMAL":
            return { type: 'lognormal', median: delay.median, sigma: delay.sigma };
        case "UNIFORM":
            return { type: 'uniform', lower: delay.lower, upper: delay.upper };
        default:
            throw new Error('unsupported webhook delay type');
    }
}
exports.getWebhookDelayBody = getWebhookDelayBody;
//# sourceMappingURL=utils.js.map